#include<bits/stdc++.h>
using namespace std;
typedef long long ll;

string resi(int brojA, int brojB, char slovoA, char slovoB){
    string res = "";
    if(abs(brojA - brojB) > 1) return "nemoguce";
    else if(brojA == brojB){
        for(int i = 0; i < brojA; i++){
            res += slovoA;
            res += slovoB;
        }
        return res;
    }
    else if(brojA > brojB){
        for(int i = 0; i < brojB; i++){
            res += slovoA;
            res += slovoB;
        }
        res += slovoA;
        return res;
    }
    else if(brojB > brojA){
        for(int i = 0; i < brojA; i++){
            res += slovoB;
            res += slovoA;
        }
        res += slovoB;
        return res;
    }
    else return "69";
}

int main(){
        ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

        char slovoA, slovoB;
        int brojA, brojB;

        cin >> slovoA >> slovoB >> brojA >> brojB;

        cout << resi(brojA, brojB, slovoA, slovoB) << "\n";
        return 0;
}